Bug 1002565 - Conflict between 32-bit and 64-bit globus-core
Summary: Conflict between 32-bit and 64-bit globus-core
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: globus-core
Version: el6
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-29 13:00 UTC by František Dvořák
Modified: 2013-09-23 00:34 UTC (History)
1 user (show)

Fixed In Version: globus-core-8.9-10.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-14 02:32:17 UTC
Type: Bug


Attachments (Terms of Use)

Description František Dvořák 2013-08-29 13:00:42 UTC
Description of problem:

There is a conflicting file /usr/share/globus/packages/globus_core/noflavor_data.filelist, which differs between x86_64 and i686 architectures. It contains 'flavor_gcc64.gpt' or 'flavor_gcc32.gpt'.

I guess it could be created a file %{flavor}_rtl.filelist for it and move the item there?

Version-Release number of selected component (if applicable):
8.9-6.el6

How reproducible:
always

Steps to Reproduce:
1. yum install globus-core.x86_64 globus-core.i686

Actual results:
Transaction Check Error:
  file /usr/share/globus/packages/globus_core/noflavor_data.filelist from install of globus-core-8.9-6.el6.i686 conflicts with file from package globus-core-8.9-6.el6.x86_64

Expected results:

Additional info:

Comment 1 Fedora Update System 2013-09-05 17:21:51 UTC
globus-core-8.9-10.el5,grid-packaging-tools-3.6.3-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/globus-core-8.9-10.el5,grid-packaging-tools-3.6.3-6.el5

Comment 2 Fedora Update System 2013-09-05 17:22:01 UTC
globus-core-8.9-10.fc19,grid-packaging-tools-3.6.3-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/globus-core-8.9-10.fc19,grid-packaging-tools-3.6.3-6.fc19

Comment 3 Fedora Update System 2013-09-05 17:22:11 UTC
globus-core-8.9-10.el6,grid-packaging-tools-3.6.3-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/globus-core-8.9-10.el6,grid-packaging-tools-3.6.3-6.el6

Comment 4 Fedora Update System 2013-09-05 17:22:19 UTC
globus-core-8.9-10.fc18,grid-packaging-tools-3.6.3-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/globus-core-8.9-10.fc18,grid-packaging-tools-3.6.3-6.fc18

Comment 5 Fedora Update System 2013-09-05 17:22:28 UTC
globus-core-8.9-10.fc20,grid-packaging-tools-3.6.3-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/globus-core-8.9-10.fc20,grid-packaging-tools-3.6.3-6.fc20

Comment 6 Fedora Update System 2013-09-06 05:14:36 UTC
Package globus-core-8.9-10.fc18, grid-packaging-tools-3.6.3-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing globus-core-8.9-10.fc18 grid-packaging-tools-3.6.3-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15930/globus-core-8.9-10.fc18,grid-packaging-tools-3.6.3-6.fc18
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-09-14 02:32:17 UTC
globus-core-8.9-10.fc18, grid-packaging-tools-3.6.3-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-09-14 02:34:12 UTC
globus-core-8.9-10.fc19, grid-packaging-tools-3.6.3-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-09-22 17:38:48 UTC
globus-core-8.9-10.el6, grid-packaging-tools-3.6.3-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-09-22 17:39:49 UTC
globus-core-8.9-10.el5, grid-packaging-tools-3.6.3-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-09-23 00:34:56 UTC
globus-core-8.9-10.fc20, grid-packaging-tools-3.6.3-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.